package com.logicbig.example.app;

import com.logicbig.example.dao.CustomerDao;
import com.logicbig.example.service.OrderService;
import org.springframework.stereotype.Component;

@Component
public class OrderClient {
   private CustomerDao customerDao;
   private OrderService orderService;

    public OrderClient(CustomerDao customerDao, OrderService orderService) {
        this.customerDao = customerDao;
        this.orderService = orderService;
    }

    public void placeOrder(String customerId){
        Customer customer = customerDao.getCustomer(customerId);
        orderService.placeOrder(customer, "Convertible Thunder");
    }
}